
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE UpdateStudent 
	-- Add the parameters for the stored procedure here
	@oldCourse varchar(100),
	@newCourse varchar(100) = 'MATH100',
	@affectedCount int output
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here
	update Student
	set Course = @newCourse
	where Course = @oldCourse
	set @affectedCount = @@ROWCOUNT
END
GO


declare @count int
exec UpdateStudent 'MATH101', 'MATH102', @count output
select @count as 'Affected Records'

declare @count int
execute UpdateStudent @oldCourse = 'MATH102', 
                      @affectedCount = @count output
select @count as 'Affected Records'

select * from Student